perl-Perl-Critic-Deprecated-1.108.0-2-rosa.lts2012.0.noarch.rpm


Advertisement

Description

perl-Perl-Critic-Deprecated - Write C<$my_variable = 42> instead of C<$MyVariable = 42>

Property Value
Distribution ROSA Enterprise Desktop
Repository ROSA Contrib Updates x86_64
Package name perl-Perl-Critic-Deprecated
Package version 1.108.0
Package release 2-rosa.lts2012.0
Package architecture noarch
Package type rpm
Installed size 35.05 KB
Download size 19.15 KB
Official Mirror mirror.rosalab.ru
The included policies are:
* Perl::Critic::Policy::NamingConventions::ProhibitMixedCaseSubs
Write '$my_variable = 42' instead of '$MyVariable = 42'. [Severity 1]

Alternatives

Package Version Architecture Repository
perl-Perl-Critic-Deprecated-1.108.0-2-rosa.lts2012.0.noarch.rpm 1.108.0 noarch ROSA Contrib Updates
perl-Perl-Critic-Deprecated - - -

Requires

Name Value
perl(Perl::Critic::Policy) >= 1.94.0
perl(Perl::Critic::Utils) >= 1.94.0
perl(Readonly) -
perl(base) -
perl(strict) -
perl(warnings) -

Provides

Name Value
perl(Perl::Critic::Deprecated) == 1.108.0
perl(Perl::Critic::Policy::NamingConventions::ProhibitMixedCaseSubs) == 1.108.0
perl(Perl::Critic::Policy::NamingConventions::ProhibitMixedCaseVars) == 1.108.0
perl(Perl::Critic::Utils::PPIRegexp) == 1.108.0
perl-Perl-Critic-Deprecated == 1.108.0-2:2012.0

Download

Type URL
Binary Package perl-Perl-Critic-Deprecated-1.108.0-2-rosa.lts2012.0.noarch.rpm
Source Package perl-Perl-Critic-Deprecated-1.108.0-2.src.rpm

Install Howto

  1. Enable ROSA Contrib Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-Perl-Critic-Deprecated rpm package:
    # urpmi perl-Perl-Critic-Deprecated

Files

Path
/usr/lib/perl5/vendor_perl/5.12.3/Perl/
/usr/lib/perl5/vendor_perl/5.12.3/Perl/Critic/Deprecated.pm
/usr/lib/perl5/vendor_perl/5.12.3/Perl/Critic/Policy/
/usr/lib/perl5/vendor_perl/5.12.3/Perl/Critic/Policy/NamingConventions/ProhibitMixedCaseSubs.pm
/usr/lib/perl5/vendor_perl/5.12.3/Perl/Critic/Policy/NamingConventions/ProhibitMixedCaseVars.pm
/usr/lib/perl5/vendor_perl/5.12.3/Perl/Critic/Utils/PPIRegexp.pm
/usr/share/doc/perl-Perl-Critic-Deprecated/Changes
/usr/share/doc/perl-Perl-Critic-Deprecated/META.yml
/usr/share/doc/perl-Perl-Critic-Deprecated/README
/usr/share/man/man3/Perl::Critic::Deprecated.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::NamingConventions::ProhibitMixedCaseSubs.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::NamingConventions::ProhibitMixedCaseVars.3pm.xz
/usr/share/man/man3/Perl::Critic::Utils::PPIRegexp.3pm.xz

Changelog

2011-04-18 - Funda Wang <fwang@mandriva.org> 1.108.0-2mdv2011.0
+ Revision: 655608
- rebuild for updated spec-helper
2010-08-25 - J?r?me Quelin <jquelin@mandriva.org> 1.108.0-1mdv2011.0
+ Revision: 573222
- import perl-Perl-Critic-Deprecated

See Also

Package Description
perl-Perl-Critic-Lax-0.8.0-2-rosa.lts2012.0.noarch.rpm Policies that let you slide on common exceptions
perl-Perl-Critic-More-1.0.0-2-rosa.lts2012.0.noarch.rpm Stop mixing long strings with code
perl-Perl-Critic-Nits-1.0.0-2-rosa.lts2012.0.noarch.rpm Policies of nits I like to pick
perl-Perl-Critic-PetPeeves-JTRAMMELL-0.20.0-2-rosa.lts2012.0.noarch.rpm Prohibit superfluous initializations
perl-Perl-Critic-Pulp-61.0.0-1-rosa.lts2012.0.noarch.rpm Don't use Foo:: style barewords
perl-Perl-Critic-Storable-0.10.0-2-rosa.lts2012.0.noarch.rpm Perl::Critic policy for using Storable
perl-Perl-Critic-StricterSubs-0.30.0-2-rosa.lts2012.0.noarch.rpm Perl::Critic plugin for stricter subroutine checks
perl-Perl-Critic-Swift-1.0.3-2-rosa.lts2012.0.noarch.rpm Additional policies for Perl::Critic
perl-Perl-Critic-Tics-0.6.0-2-rosa.lts2012.0.noarch.rpm (this => is => not => good)
perl-Perl-Metrics-Simple-0.150.0-2-rosa.lts2012.0.noarch.rpm Methods analyzing a single file
perl-Perl-PrereqScanner-1.4.0-1-rosa.lts2012.0.noarch.rpm A tool to scan your Perl code for its prerequisites
perl-Perl-Version-1.11.0-2-rosa.lts2012.0.noarch.rpm Parse and manipulate Perl version strings
perl-Perl6-Doc-0.470.0-2-rosa.lts2012.0.noarch.rpm Perl 6 Documentation Collection
perl-Perl6-Export-0.70.0-1-rosa.lts2012.0.noarch.rpm Implements the Perl 6 is export trait
perl-Perl6-Export-Attrs-0.0.3-3-rosa.lts2012.0.noarch.rpm The Perl 6 'is export(...)' trait as a Perl 5 attribute
Advertisement
Advertisement